NX Open C++ Reference Guide
|
Represents a Features::BlendCorner builder. More...
Public Types | |
enum | ContinuityTypes { ContinuityTypesG1, ContinuityTypesG2 } |
Continuity options. More... | |
Public Member Functions | |
bool | AllowTransitionCurveOnBlends () |
Returns the transition curve on blend faces Created in NX9.0.0. | |
double | AngleTolerance () |
Returns the angle tolerance. | |
NXOpen::Point * | CenterPoint () |
Returns the center point. | |
NXOpen::Features::BlendCornerBuilder::ContinuityTypes | Continuity () |
Returns the continuity type Created in NX9.0.0. | |
NXOpen::GeometricUtilities::BlendSetbackBuilder * | CreateBlendSetbackBuilder () |
Create a blend setback builder object. | |
NXOpen::GeometricUtilities::TransitionCurveBuilder * | CreateTransitionCurveBuilder () |
Create a transition curve data builder object. | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::Expression * | Fullness () |
Returns the fullness value. | |
NXOpen::GeometricUtilities::BlendSetbackBuilderList * | LimitCurveList () |
Returns the limit curve list Created in NX9.0.0. | |
void | SetAllowTransitionCurveOnBlends (bool allow) |
Sets the transition curve on blend faces Created in NX9.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance. | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the center point. | |
void | SetContinuity (NXOpen::Features::BlendCornerBuilder::ContinuityTypes continuity) |
Sets the continuity type Created in NX9.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetSewToBody (bool sewToBody) |
Sets the sew to body Created in NX9.0.0. | |
void | SetUseCenterPoint (bool useCenterPoint) |
Sets the use center point flag. | |
bool | SewToBody () |
Returns the sew to body Created in NX9.0.0. | |
NXOpen::GeometricUtilities::TransitionCurveBuilderList * | TransitionCurveList () |
Returns the transition curve list Created in NX9.0.0. | |
bool | UseCenterPoint () |
Returns the use center point flag. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::BlendCorner builder.
<br> To create a new instance of this class, use @link Features::FreeformSurfaceCollection::CreateBlendCornerBuilder Features::FreeformSurfaceCollection::CreateBlendCornerBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AllowTransitionCurveOnBlends |
1 |
Continuity |
G1 |
Fullness.Value |
0 (millimeters part), 0 (inches part) |
SewToBody |
1 |
UseCenterPoint |
0 |
Created in NX9.0.0.
Continuity options.
ContinuityTypesG1 |
Tangent continuity. |
ContinuityTypesG2 |
Curvature continuity. |
bool NXOpen::Features::BlendCornerBuilder::AllowTransitionCurveOnBlends | ( | ) |
Returns the transition curve on blend faces
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::BlendCornerBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance.
It will be used to control the tangency of the curves and corner surface
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::BlendCornerBuilder::CenterPoint | ( | ) |
Returns the center point.
The corner patch will pass through the center point.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::BlendCornerBuilder::ContinuityTypes NXOpen::Features::BlendCornerBuilder::Continuity | ( | ) |
Returns the continuity type
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::BlendSetbackBuilder* NXOpen::Features::BlendCornerBuilder::CreateBlendSetbackBuilder | ( | ) |
Create a blend setback builder object.
NXOpen::GeometricUtilities::TransitionCurveBuilder* NXOpen::Features::BlendCornerBuilder::CreateTransitionCurveBuilder | ( | ) |
Create a transition curve data builder object.
double NXOpen::Features::BlendCornerBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
It will be used to control the precision of curves and corner surface
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendCornerBuilder::Fullness | ( | ) |
Returns the fullness value.
It is an offset distance of the center point from the default position when the center point control is off.
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::BlendSetbackBuilderList* NXOpen::Features::BlendCornerBuilder::LimitCurveList | ( | ) |
Returns the limit curve list
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::BlendCornerBuilder::SetAllowTransitionCurveOnBlends | ( | bool | allow | ) |
Sets the transition curve on blend faces
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
allow | allow |
void NXOpen::Features::BlendCornerBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance.
It will be used to control the tangency of the curves and corner surface
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
angleTolerance | angletolerance |
void NXOpen::Features::BlendCornerBuilder::SetCenterPoint | ( | NXOpen::Point * | centerPoint | ) |
Sets the center point.
The corner patch will pass through the center point.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
centerPoint | centerpoint |
void NXOpen::Features::BlendCornerBuilder::SetContinuity | ( | NXOpen::Features::BlendCornerBuilder::ContinuityTypes | continuity | ) |
Sets the continuity type
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
continuity | continuity |
void NXOpen::Features::BlendCornerBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
It will be used to control the precision of curves and corner surface
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
distanceTolerance | distancetolerance |
void NXOpen::Features::BlendCornerBuilder::SetSewToBody | ( | bool | sewToBody | ) |
Sets the sew to body
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
sewToBody | sewtobody |
void NXOpen::Features::BlendCornerBuilder::SetUseCenterPoint | ( | bool | useCenterPoint | ) |
Sets the use center point flag.
It will enable/disable the shape fullness control. When the control is enabled, the patch surface will pass through the specified center point.
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling")
useCenterPoint | usecenterpoint |
bool NXOpen::Features::BlendCornerBuilder::SewToBody | ( | ) |
Returns the sew to body
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::TransitionCurveBuilderList* NXOpen::Features::BlendCornerBuilder::TransitionCurveList | ( | ) |
Returns the transition curve list
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::BlendCornerBuilder::UseCenterPoint | ( | ) |
Returns the use center point flag.
It will enable/disable the shape fullness control. When the control is enabled, the patch surface will pass through the specified center point.
Created in NX9.0.0.
License requirements : None